---
title: Get property format
slug: cms-13/api/get-property-format
docTags: 
createdAt: 2026-08-28T15:24:16.532Z
---

{
  "id": "Y1lGcCx37aFZkkHfrn2wu",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/_cms/v1/propertyformats/{key}",
    "servers": [
      {
        "url": "/_cms/v1/propertyformats/{key}",
        "description": "Optimizely CMS API"
      }
    ],
    "name": "Get property format",
    "description": "Get the property format with the provided key.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "key",
          "type": "string",
          "description": "The key of the property format to retrieve."
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "optional",
          "name": "If-None-Match",
          "type": "string",
          "description": "If provided and the value matches the RFC7232 ETag of the current resource a 304 NotModified response will be returned. Weak ETags will always be ignored."
        },
        {
          "kind": "optional",
          "name": "If-Modified-Since",
          "type": "string<http-date>",
          "description": "<p>If provided and the resource has not been modified since the date a 304 NotModified response will be returned. This parameter will be ignored if an 'If-None-Match' parameter is also provided.</p>",
          "format": "http-date"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "allowDeleted",
          "type": "boolean",
          "description": "Indicates that a deleted property format may be returned."
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiAuth",
          "name": "apiAuth",
          "kind": "optional",
          "type": "oauth2",
          "description": "Use this scheme to generate an access token that can be used to access the API.",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "/_cms/v1/oauth/token",
              "scopes": {
                "api:admin": "Grants full administrative access to the API"
              }
            }
          },
          "requiredScopes": [
            "api:admin"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "ETag",
            "type": "string",
            "description": "<p>The RFC7232 ETag header field in a response provides the current entity-tag for the resource. An entity-tag is an opaque identifier for different versions of a resource over time, regardless whether multiple versions are valid at the same time.</p>"
          },
          {
            "kind": "optional",
            "name": "Last-Modified",
            "type": "string<http-date>",
            "description": "The date and time at which the resource was last modified.",
            "format": "http-date"
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Represent the definition of semantic property formats for content items.",
            "customType": "PropertyFormat",
            "schema": [
              {
                "name": "key",
                "kind": "optional",
                "type": "string",
                "description": "<p>The unique identifier (key) of the resource.</p>",
                "minLength": 2,
                "maxLength": 255,
                "pattern": "^[A-Za-z][_0-9A-Za-z]+$"
              },
              {
                "name": "dataType",
                "kind": "optional",
                "type": "string<string | url | boolean | integer | float | dateTime | contentReference | content | link | richText | json | array | component>",
                "description": "The underlying data type used for this PropertyFormat.",
                "enum": [
                  "string",
                  "url",
                  "boolean",
                  "integer",
                  "float",
                  "dateTime",
                  "contentReference",
                  "content",
                  "link",
                  "richText",
                  "json",
                  "array",
                  "component"
                ]
              },
              {
                "name": "itemType",
                "kind": "optional",
                "type": "string<string | url | boolean | integer | float | dateTime | contentReference | content | link | richText | json | array | component>",
                "readOnly": true,
                "description": "The underlying item type used for this property format. Specifies the item type when the dataType is 'array'.",
                "enum": [
                  "string",
                  "url",
                  "boolean",
                  "integer",
                  "float",
                  "dateTime",
                  "contentReference",
                  "content",
                  "link",
                  "richText",
                  "json",
                  "array",
                  "component"
                ]
              },
              {
                "name": "displayName",
                "kind": "optional",
                "type": "string",
                "description": "The display name of this PropertyFormat."
              },
              {
                "name": "isDeleted",
                "kind": "optional",
                "type": "boolean",
                "readOnly": true,
                "description": "Indicates if this property format has been deleted."
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string<date-time>",
                "readOnly": true,
                "description": "A timestamp indicating when this display template was first created.",
                "format": "date-time"
              },
              {
                "name": "createdBy",
                "kind": "optional",
                "type": "string",
                "readOnly": true,
                "description": "The username of the user that created this display template."
              },
              {
                "name": "lastModified",
                "kind": "optional",
                "type": "string<date-time>",
                "readOnly": true,
                "description": "A timestamp indicating when this display template was last modified.",
                "format": "date-time"
              },
              {
                "name": "lastModifiedBy",
                "kind": "optional",
                "type": "string",
                "readOnly": true,
                "description": "The username of the user that last modified this display template."
              }
            ],
            "modelRef": "#/components/schemas/PropertyFormat",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "304",
        "description": "Not Modified",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "ETag",
            "type": "string",
            "description": "<p>The RFC7232 ETag header field in a response provides the current entity-tag for the resource. An entity-tag is an opaque identifier for different versions of a resource over time, regardless whether multiple versions are valid at the same time.</p>"
          },
          {
            "kind": "optional",
            "name": "Last-Modified",
            "type": "string<http-date>",
            "description": "The date and time at which the resource was last modified.",
            "format": "http-date"
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "500",
        "description": "Internal Server Error",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "2we0DrTgFVGoXajSccy_H",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /_cms/v1/propertyformats/{key} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "udA3NElt-lBi1DLUTUQ92",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/_cms/v1/propertyformats/{key}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "DcaXCeo-iy5G94gke08TA",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/_cms/v1/propertyformats/{key}\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "6PfOkHyKh_9TpyuluU90Z",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/_cms/v1/propertyformats/{key}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "2we0DrTgFVGoXajSccy_H"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"key\": \"\",\n  \"dataType\": \"\",\n  \"itemType\": \"\",\n  \"displayName\": \"\",\n  \"isDeleted\": false,\n  \"created\": \"\",\n  \"createdBy\": \"\",\n  \"lastModified\": \"\",\n  \"lastModifiedBy\": \"\"\n}"
        },
        {
          "id": "response-1-304",
          "language": "304",
          "code": "// Not Modified\n"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-4-404",
          "language": "404",
          "code": "// Not Found\n"
        },
        {
          "id": "response-5-500",
          "language": "500",
          "code": "// Internal Server Error\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}